function [data, video_id] = dataFormat(finalResult)
%dataFormat returns a variable named 'data' which is a cell-array of
%vectors separated based on videos
current_video = finalResult{1,1};
data = cell(1);
video_id = cell(1);
video_id{1,1} = current_video;
data{1,1} = [finalResult{1,2}];
colIndex = 2;
rowIndex = 1;
for counter = 2:length(finalResult)
    if strcmp(current_video, finalResult{counter, 1})
        data{rowIndex}(colIndex) = finalResult{counter, 2};
        colIndex = colIndex+1;
    else %start another row for new video
        current_video = finalResult{counter, 1};
        rowIndex = rowIndex+1;
        video_id{rowIndex, 1} = current_video;
        data{rowIndex, 1} = [finalResult{counter, 2}];
        colIndex = 2;
    end
end